#

include(`KERcalls.h')

/*
 *       SCCS File Type - 
 *
 *       What identification string
 */
static char *_S_K39	"@(#)K39.c	1.1";
	/****************************************************************/
	/*
	 *      K_lock
	 */


/*
 *      K_lock (
 *	    1	seg,	  : seg_des	   : int  (* object descr   *)
 *          2   tout      : cardinal       : uint (* timeout per    *)
 *             )
 */

K_lock( Pseg, Ptout )
	seg_des			Pseg;
	cardinal		Ptout;
{
	K_err_num		ex;

	struct  {       /* Klock_param  */
			seg_des		seg;
			cardinal	tout;
		}pb;

	pb.seg = Pseg;
	pb.tout = Ptout;

	ex = EMT39(&pb);

	return( ex );
}
